Bug 1315838 - transmission-gtk: error while loading shared libraries: libnatpmp.so.1
transmission-gtk: error while loading shared libraries: libnatpmp.so.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
25
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
: 1376647 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 13:11 EST by Anton Barsukov
Modified: 2017-03-15 17:44 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-15 17:44:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Barsukov 2016-03-08 13:11:43 EST
Description of problem:
$ transmission-gtk
transmission-gtk: error while loading shared libraries: libnatpmp.so.1:

Version-Release number of selected component (if applicable):
$ rpm -q transmission-gtk
transmission-gtk-2.90-1.fc23.x86_64

How reproducible:
run transmission-gtk

Steps to Reproduce:
1. dnf install transmission-gtk
2. run transmission-gtk
3. 

Actual results:
transmission-gtk did not start

Expected results:


Additional info:
# workaround
dnf install libnatpmp
Comment 1 Gwyn Ciesla 2016-09-16 08:51:51 EDT
*** Bug 1376647 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2016-11-24 10:58:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 joshua 2016-11-27 11:04:59 EST
Exactly the same problem on a freshly installed Fedora 25 Workstation:

[user@f25-desktop Downloads]$ cat /etc/fedora-release 
Fedora release 25 (Twenty Five)

[user@f25-desktop Downloads]$ transmission-gtk 
transmission-gtk: error while loading shared libraries: libnatpmp.so.1: cannot open shared object file: No such file or directory

[user@f25-desktop Downloads]$ transmission-show
transmission-show: error while loading shared libraries: libnatpmp.so.1: cannot open shared object file: No such file or directory

[user@f25-desktop Downloads]$ sudo dnf provides libnatpmp.so.1
Last metadata expiration check: 0:51:14 ago on Sun Nov 27 10:10:33 2016.
libnatpmp-20150609-2.fc24.i686 : Library of The NAT Port Mapping Protocol (NAT-PMP)
Repo        : fedora



Why not just "Requires: libnatpmp" in transmission-common?
Comment 4 Ankur Sinha (FranciscoD) 2016-11-27 11:37:42 EST
Is this on a freshly installed system? I upgrade from F24 and when I try to install transmission via dnf, it does correctly pull in libnatpmp. It shouldn't need to be added to the spec file.
Comment 5 joshua 2016-11-27 12:00:36 EST
On a freshly installed F25 x86_64 Workstation, I used dnf to install transmission-gtk (and therefore transmission-common), and libnatpmp was not installed.

As another test, I removed all transmission packages as well as libnatpmp, and asked dnf to install it again:

$ sudo dnf install transmission-gtk
Last metadata expiration check: 1:35:00 ago on Sun Nov 27 10:10:33 2016.
Dependencies resolved.
============================================================================================================================
 Package                              Arch                    Version                         Repository               Size
============================================================================================================================
Installing:
 transmission-common                  x86_64                  2.92-1.fc25                     fedora                  782 k
 transmission-gtk                     x86_64                  2.92-1.fc25                     fedora                  828 k

Transaction Summary
============================================================================================================================
Install  2 Packages

Total download size: 1.6 M
Installed size: 6.1 M
Is this ok [y/N]: y


Still broken.  Removed all three packages again, then:

$ sudo rpm -q --whatprovides libnatpmp.so.1
no package provides libnatpmp.so.1

$ sudo dnf provides libnatpmp.so.1
Last metadata expiration check: 1:37:11 ago on Sun Nov 27 10:10:33 2016.
libnatpmp-20150609-2.fc24.i686 : Library of The NAT Port Mapping Protocol (NAT-PMP)
Repo        : fedora

$ sudo dnf download transmission-common
$ sudo rpm -ivh transmission-common-2.92-1.fc25.x86_64.rpm 
Preparing...                          ################################# [100%]
Updating / installing...
   1:transmission-common-2.92-1.fc25  ################################# [100%]

$ transmission-show 
transmission-show: error while loading shared libraries: libnatpmp.so.1: cannot open shared object file: No such file or directory


It appears that neither dnf nor rpm know that libnatpmp is a dependency, and don't bother installing it.
Comment 6 Ankur Sinha (FranciscoD) 2016-11-27 15:39:13 EST
Very weird:

[asinha@ankur  ~]$ sudo dnf install transmission-gtk
[sudo] password for asinha:
Last metadata expiration check: 0:04:39 ago on Sun Nov 27 20:31:26 2016.
Dependencies resolved.
=========================================================================================================================================================================
 Package                                         Arch                               Version                                     Repository                          Size
=========================================================================================================================================================================
Installing:
 libnatpmp                                       x86_64                             20150609-2.fc24                             fedora                              19 k
 transmission-common                             x86_64                             2.92-1.fc25                                 fedora                             782 k
 transmission-gtk                                x86_64                             2.92-1.fc25                                 fedora                             828 k

Transaction Summary
=========================================================================================================================================================================
Install  3 Packages

Total download size: 1.6 M
Installed size: 6.1 M
Is this ok [y/N]:


[asinha@ankur  ~]$ sudo dnf repoquery --requires transmission-gtk | grep libnatpmp
Failed to synchronize cache for repo 'Dropbox', disabling.
libnatpmp.so.1()(64bit)
Comment 7 Ankur Sinha (FranciscoD) 2016-11-27 15:49:27 EST
Can you please try these commands and see if you get similar results?

[asinha@ankur  ~]$ rpm -q transmission-gtk
transmission-gtk-2.92-1.fc25.x86_64

[asinha@ankur  ~]$ rpm -q transmission-gtk --requires | grep pmp
libnatpmp.so.1()(64bit)

and this - with rpm, you need to give the entire path:
[asinha@ankur  ~]$ rpm -q --whatprovides /usr/lib64/libnatpmp.so.1
libnatpmp-20150609-2.fc24.x86_64

I don't think it's an issue with the package, somehow. I'll set up a new F25 VM tomorrow and try to replicate the issue.
Comment 8 joshua 2016-11-27 20:56:45 EST
Here you go:

$ rpm -q transmission-gtk
transmission-gtk-2.92-1.fc25.x86_64

$ rpm -q transmission-gtk --requires | grep pmp
libnatpmp.so.1()(64bit)

$ rpm -q --whatprovides /usr/lib64/libnatpmp.so.1
libnatpmp-20150609-2.fc24.x86_64


All the same packages as you have.  Strange... why do both rpm and dnf refuse to see the need to have or install libnatpmp?
Comment 9 Gwyn Ciesla 2017-03-15 10:56:18 EDT
Is this still reproducible?  If so, please reassign to dnf.
Comment 10 Brian Harrington 2017-03-15 15:01:11 EDT
On a fresh Fedora 25, I'd say LGTM:

[bharrington@leviathan Downloads]$ sudo dnf install transmission-gtk
Last metadata expiration check: 1:56:12 ago on Wed Mar 15 10:04:26 2017.
Dependencies resolved.
================================================================================
 Package                  Arch        Version                 Repository   Size
================================================================================
Installing:
 libnatpmp                x86_64      20150609-2.fc24         fedora       19 k
 transmission-common      x86_64      2.92-1.fc25             fedora      782 k
 transmission-gtk         x86_64      2.92-1.fc25             fedora      828 k

Transaction Summary
================================================================================
Install  3 Packages

Total download size: 1.6 M
Installed size: 6.1 M
Is this ok [y/N]: n
Operation aborted.
[bharrington@leviathan Downloads]$ sudo dnf install transmission-daemon
Last metadata expiration check: 1:56:17 ago on Wed Mar 15 10:04:26 2017.
Dependencies resolved.
================================================================================
 Package                  Arch        Version                 Repository   Size
================================================================================
Installing:
 libnatpmp                x86_64      20150609-2.fc24         fedora       19 k
 transmission-common      x86_64      2.92-1.fc25             fedora      782 k
 transmission-daemon      x86_64      2.92-1.fc25             fedora      277 k

Transaction Summary
================================================================================
Install  3 Packages

Total download size: 1.1 M
Installed size: 3.6 M
Is this ok [y/N]: n
Operation aborted.
Comment 11 Gwyn Ciesla 2017-03-15 17:44:09 EDT
Excellent!

Note You need to log in before you can comment on or make changes to this bug.